CMUCL commit: src/tools (build.sh)

Raymond Toy rtoy at common-lisp.net
Wed Sep 1 00:24:09 CEST 2010


    Date: Tuesday, August 31, 2010 @ 18:24:09
  Author: rtoy
    Path: /project/cmucl/cvsroot/src/tools

Modified: build.sh

Add -w option to allow user to specify a different script instead of
the default build-world.sh.  (Requested by Alex G.)


----------+
 build.sh |   13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)


Index: src/tools/build.sh
diff -u src/tools/build.sh:1.31 src/tools/build.sh:1.32
--- src/tools/build.sh:1.31	Sat Jul 31 21:18:36 2010
+++ src/tools/build.sh	Tue Aug 31 18:24:09 2010
@@ -32,7 +32,7 @@
 #
 # For more information see src/BUILDING.
 #
-# $Header: /project/cmucl/cvsroot/src/tools/build.sh,v 1.31 2010-08-01 01:18:36 rtoy Exp $
+# $Header: /project/cmucl/cvsroot/src/tools/build.sh,v 1.32 2010-08-31 22:24:09 rtoy Exp $
 #
 
 ENABLE2="yes"
@@ -88,7 +88,7 @@
     echo '    -f mode   FPU mode:  x87, sse2, or auto.  Default is auto'
     echo '    -P        On the last build, generate cmucl.pot'
     echo "    -?        This help message"
-
+    echo "    -w        Specify a different build-world.sh script"
     exit 1
 }
 
@@ -118,11 +118,11 @@
     if [ "$ENABLE" = "yes" ]; 
     then
 	$TOOLDIR/clean-target.sh $CLEAN_FLAGS $TARGET || { echo "Failed: $TOOLDIR/clean-target.sh"; exit 1; }
-	time $TOOLDIR/build-world.sh $TARGET $OLDLISP $BOOT || { echo "Failed: $TOOLDIR/build-world.sh"; exit 1; }
+	time $BUILDWORLD $TARGET $OLDLISP $BOOT || { echo "Failed: $BUILDWORLD"; exit 1; }
 	$MAKE -C $TARGET/lisp $MAKE_TARGET || { echo "Failed: $MAKE -C $TARGET/lisp"; exit 1; }
 	if [ "$BUILD_WORLD2" = "yes" ];
 	then
-	    $TOOLDIR/build-world.sh $TARGET $OLDLISP $BOOT || { echo "Failed: $TOOLDIR/build-world.sh"; exit 1; }
+	    $BUILDWORLD $TARGET $OLDLISP $BOOT || { echo "Failed: $BUILDWORLD"; exit 1; }
 	fi
 	$TOOLDIR/load-world.sh $TARGET "$VERSION" || { echo "Failed: $TOOLDIR/load-world.sh"; exit 1; }
 
@@ -132,7 +132,9 @@
 }
 
 FPU_MODE=
-while getopts "123Po:b:v:uB:C:i:f:?" arg
+BUILDWORLD="$TOOLDIR/build-world.sh"
+
+while getopts "123Po:b:v:uB:C:i:f:w:?" arg
 do
     case $arg in
 	1) ENABLE2="no" ;;
@@ -148,6 +150,7 @@
         i) INTERACTIVE_BUILD="$OPTARG" ;;
 	f) FPU_MODE="-fpu $OPTARG" ;;
         P) BUILD_POT=yes ;;
+        w) BUILDWORLD="$OPTARG" ;;
 	\?) usage
 	    ;;
     esac



More information about the cmucl-commit mailing list